section, footer {
    opacity: 0; 
    transition: opacity 0.05s ease-in; 
  }

.prod-section {
    width: 95%;
    max-width: var(--max-width);
    margin: 2.5em auto;
}

h3 {
    font-family: var(--font-title);
    font-size: var(--font-size-card-subtitle);
}

.prod-container {
    display: grid;
    grid-template-columns: repeat(3, 1fr);
    gap: var(--gap-m);
    width: 100%;
    place-content: center;
    padding: 0 5%;
}

.prod-item {
    text-align: center;
    font-size: var(--font-size-section-title);
}

.img-container {
    position: relative;
    overflow: hidden;
    margin-bottom: var(--margin-xxss);
}

.default-img {
    width: 100%;
    display: block;
}

.hover-img {
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    object-fit: cover;
    opacity: 0;
    transition: opacity var(--duration-xxs) ease, transform var(--duration-l), filter var(--duration-m) ease-in-out;
    transform-origin: center center;
    filter: brightness(80%);
}

.img-container:hover .hover-img {
    opacity: 1;
    filter: brightness(100%);
    transform: scale(var(--scale-m));
}

/*///////////////// RESPOSIVE///////////////*/

@media (max-width: 1080px) {
    .prod-container {
        gap: clamp(var(--gap-xs), 1vw, var(--gap-m));
    }
}


@media (max-width: 768px) {
    .prod-container {
        grid-template-columns: repeat(2, 1fr);
        gap: clamp(var(--gap-xs), 1vw, var(--gap-s));    
    }
}


@media (max-width: 480px) {
    .prod-container {
        grid-template-columns: repeat(1, 1fr);       
    }
}

@media (max-width: 375px) {
}

